Last Comment Bug 719034 - Support CTRL-SHIFT-K as the Lighting Task Quick Filter hotkey.
: Support CTRL-SHIFT-K as the Lighting Task Quick Filter hotkey.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks: 719031
  Show dependency treegraph
 
Reported: 2012-01-18 07:29 PST by Philip Chee
Modified: 2012-01-23 13:08 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Proposed Hot Key Fix. (3.34 KB, patch)
2012-01-18 07:35 PST, Philip Chee
iann_bugzilla: review+
mnyromyr: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2012-01-18 07:29:57 PST
From Bug 316916 Comment 32:
>> So if SeaMonkey implements a dummy "cmd_showQuickFilterBar", the lightning
>> shortcut would work?

> Yes, Seamonkey needs a dummy command with that name and a keyboard shortcut
> that executes that command. The command needs to be exposed via the tabmail's
> command handler.
Comment 1 Philip Chee 2012-01-18 07:35:28 PST
Created attachment 589499 [details] [diff] [review]
Patch v1.0 Proposed Hot Key Fix.

> This patch works with both the cmd_showQuickFilterBar (Ctrl+Shift+K) and the
> cmd_find (Ctrl+F) commands in Thunderbird. Only the cmd_find command currently
> works in Seamonkey, so that shortcut is used for the placeholder text. If
> Seamonkey implements the QuickFilterBar commands in the future, we would only
> need to update the strings.
Comment 2 Ian Neal 2012-01-18 08:38:26 PST
Comment on attachment 589499 [details] [diff] [review]
Patch v1.0 Proposed Hot Key Fix.

>   <key key="&focusSearchInput.key;"
>        modifiers="accel"
>        oncommand="focusElement(document.getElementById('searchInput'));"/>
> 
>+    <!-- Needed to support the Lightning Task filter See Bug 316916 -->
>+    <key id="key_qfb_show"
>+         key="&quickFilterBar.show.key2;"
>+         modifiers="accel,shift"
>+         command="cmd_showQuickFilterBar"/>
Nit: indented too far.
Comment 3 Philip Chee 2012-01-19 11:51:48 PST
> Nit: indented too far.
Fixed locally.
Comment 4 Philip Chee 2012-01-21 10:53:45 PST
Comment on attachment 589499 [details] [diff] [review]
Patch v1.0 Proposed Hot Key Fix.

For some reason I forgot to ask for moa from Mnyromyr :P
Comment 5 Philip Chee 2012-01-23 13:08:20 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/ad14796cbb77

Note You need to log in before you can comment on or make changes to this bug.